Verify Credentials Batch
Perform one-time verification checks on healthcare licenses, certifications, and registrations. Each credential requires a code and a state. For the vast majority of professions, the credential number is also needed to find a match, so we recommend always sending it. Some professions search on other details instead, such as the professional's name, dob, or ssn, or a certState for national certifications. To see what a specific profession needs, check its searchCriteria in the Get Profession Status endpoint. Looking to enroll a credential in ongoing monitoring? See here.
Review the request and response bodies below to perform primary source verifications. An important note, submitted profession codes must match those in the Propelus system. To view those codes, utilize the Get Profession Status endpoint.
Authorization
apiKey clientId In: header
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Credentials to be processed in batch.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/credentials" \ -H "Content-Type: application/json" \ -d '{ "credentials": [ { "credential": { "number": "K5382916", "code": "RN", "state": "CA" }, "name": { "first": "Elena", "last": "Vasquez" } }, { "credential": { "number": "T0479261", "code": "MD", "state": "NY" }, "customProperties": { "id": "myId", "requestedBy": "adminUser" } }, { "credential": { "code": "ACCN", "state": "CERT", "certState": "FL" }, "name": { "first": "Jordan", "last": "Reyes" } } ], "metadata": { "requestId": "batch-001", "source": "internal-system" } }'{
"code": "processing",
"detail": "string",
"batchId": "5579c111-9c50-47e2-af92-f16d52e63189",
"resultsUrl": "string",
"rejected": [
{
"credential": {
"number": "string",
"code": "RN",
"state": "CA",
"certState": "CA"
},
"batch": {
"batchId": "5579c111-9c50-47e2-af92-f16d52e63189",
"resultsUrl": "string"
},
"message": "string"
}
]
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"message": "string"
}{
"status": 400,
"code": "missing_fields",
"detail": "string",
"errors": [
{
"detail": "string",
"pointer": "string",
"parameter": "string",
"header": "string",
"code": "string"
}
]
}{
"status": 500,
"detail": "string",
"code": "unexpected_error"
}Rate limits
What happens when you exceed the rate limit and how to back off correctly.
Get Credentials Batch by ID GET
Retrieve credential verification results for a batch. Utilize the batch ID provided during the initial request to receive results for the batch. Propelus also provides webhook events for those looking to receive the responses as they are ready rather than polling. Note: results expire after 7 days.